> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/document-detector/builder/customization.md).

# Personalização

Você pode personalizar o layout criando um objeto do tipo **`DocumentDetectorLayout`** e passando-o como parâmetro em **`setLayout()`**. Os **`DocumentDetectorLayout`** elementos são:

| **Parâmetro**                                    | **Descrição**                                                              | **Obrigatório?** |
| ------------------------------------------------ | -------------------------------------------------------------------------- | ---------------- |
| **`closeButtonImage: UIImage`**                  | Ícone do botão de fechar do SDK.                                           | Não.             |
| **`closeButtonColor: UIColor`**                  | Cor do botão de fechar do SDK.                                             | Não.             |
| **`closeButtonSize: CGFloat`**                   | Tamanho do botão de fechar do SDK.                                         | Não.             |
| **`closeButtonContentMode: UIView.ContentMode`** | Modo de conteúdo do botão de fechar do SDK.                                | Não.             |
| **`font: String`**                               | Fonte de todos os textos do SDK.                                           | Não.             |
| **`uploadBackGroundColor: UIColor`**             | Cor de fundo para o fluxo de upload.                                       | Não.             |
| **`previewBackGroundColor: UIColor`**            | Cor de fundo para a tela de pré-visualização.                              | Não.             |
| **`primaryColor: UIColor`**                      | Cor principal, aplicada aos botões.                                        | Não.             |
| **`feedbackColors: DocumentFeedbackColors`**     | Cores da área de feedback. Todas as cores têm opacidade de 0,4 por padrão. | Não.             |

### Exemplo

```swift
let layout = DocumentDetectorLayout()
                        
layout.closeButtonImage = UIImage(named: "my_close_image")
layout.closeButtonColor = .green
layout.closeButtonSize = CGFloat(50)
layout.closeButtonContentMode = .scaleAspectFill

layout.font = "my_font"

layout.primaryColor = .blue
layout.uploadBackGroundColor = .black
layout.previewBackGroundColor = .white

layout.feedbackColors = DocumentFeedbackColors(defaultColor: .black, errorColor: .red, successColor: .green)

let documentDetector = DocumentDetectorSdk.CafBuilder(mobileToken: "mobileToken")
    .setDocumentCaptureFlow(flow: [DocumentDetectorStep(document: Document.CNH_FRONT), DocumentDetectorStep(document: Document.CNH_BACK)])
    .setLayout(layout: layout)
    .build()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/document-detector/builder/customization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
